<h2 class="display-4">{{naslov}}</h2>
<div class="p-2">
    <a class="btn btn-primary" href="/racuni/{{tipRacuna}}/dodaj">Novi {{naslovJednina}}</a>
</div>
<div class="d-flex flex-row-reverse bd-highlight mb-2">
    <div class="p-2 bd-highlight">
        <select (change)="onTableSizeChange($event)" class="custom-select">
            <option *ngFor="let size of tableSizes" [ngValue]="size">
                {{ size }}
            </option>
        </select>
    </div>
</div>

<!-- Desktop view Predracuni-->
<div class="d-none d-md-block">

    <table class="table table-striped" *ngIf="tipRacuna == 'pr'">
        <thead class="thead-dark">
            <tr>
                <th>Broj računa</th>
                <th>Klijent</th>
                <th>Cena</th>
                <th>Izdat</th>
                <th>Račun</th>
                <th></th>
                <th></th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let predracun of predracuni.predracuni | paginate : {
                itemsPerPage: tableSize,
                currentPage: page,
                totalItems: count
            };">
                <th><a href="/racuni/{{tipRacuna}}/{{predracun._id}}">{{ predracun.broj }}</a></th>
                <td>{{ predracun.klijent.naziv }}</td>
                <td>{{ predracun.cena }}</td>
                <td *ngIf="predracun.izdat; else elseBlockDesktop">Da</td>
                <ng-template #elseBlockDesktop>
                    <td>Ne</td>
                </ng-template>
                <td *ngIf="predracun.racun; else elseRacunBlockDesktop" style="color: grey;">Izdat</td>
                <ng-template #elseRacunBlockDesktop>
                    <td>
                        <button class="btn btn-sm btn-primary">Izdaj</button>
                    </td>
                </ng-template>
                <td>
                    <div class="form-group">
                        <a class="btn btn-primary btn-sm" href="/racuni/{{tipRacuna}}/{{predracun._id}}"  title="Izmeni račun">
                            <i class="fas fa-pen"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <a class="btn btn-primary btn-sm" href="/racuni/{{tipRacuna}}/pdf/{{predracun._id}}"
                            title="Sačuvaj kao PDF">
                            <i class="fas fa-file-pdf"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <button class="btn btn-primary btn-sm delete-icon" (click)="deleteItem(predracun._id)"
                            title="Obriši">
                            <i class="fas fa-trash-alt "></i>
                        </button>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</div>

<!-- Mobile view Predracuni -->
<div class="d-block d-md-none" *ngIf="tipRacuna == 'pr'">
    <div class="" *ngFor="let predracun of predracuni.predracuni | paginate : {
        itemsPerPage: tableSize,
        currentPage: page,
        totalItems: count
    };">
        <div class="row border">
            <div class="col-4 px-2">Broj računa:</div>
            <div class="col-8"><a href="/racuni/{{tipRacuna}}/{{predracun._id}}">{{ predracun.broj }}</a></div>
            <div class="col-4 px-2">Klijent:</div>
            <div class="col-8">{{ predracun.klijent.naziv }}</div>
            <div class="col-4 px-2">Cena:</div>
            <div class="col-8">{{ predracun.cena }}</div>
            <div class="col-4 px-2">Izdat:</div>
            <div class="col-8" *ngIf="predracun.izdat; else elseBlockMobile">Da</div>
            <ng-template #elseBlockMobile>
                <div class="col-8">Ne</div>
            </ng-template>
            <div class="col-12 text-center pt-2">
                <div class="form-group">
                    <a class="btn btn-primary btn-sm mr-2" href="/racuni/{{tipRacuna}}/{{predracun._id}}" title="Izmeni račun">
                        <i class="fas fa-pen"></i>
                    </a>
                    
                    <a class="btn btn-primary btn-sm mr-2" href="/racuni/pr/pdf/{{predracun._id}}"
                        title="Sačivaj kao PDF">
                        <i class="fas fa-file-pdf"></i>
                    </a>
                    
                    <button class="btn btn-primary btn-sm" (click)="deleteItem(predracun._id)" title="Obriši">
                        <i class="fas fa-trash-alt"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Desktop view Racuni-->
<div class="d-none d-md-block" *ngIf="tipRacuna == 'kr'">

    <table class="table table-striped">
        <thead class="thead-dark">
            <tr>
                <th>Broj računa</th>
                <th>Klijent</th>
                <th>Datum izdavanja</th>
                <th>Ukupno za plaćanje</th>
                <th>Rok plaćanja</th>
                <th>Plaćen</th>
                <th></th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let predracun of predracuni.predracuni | paginate : {
                itemsPerPage: tableSize,
                currentPage: page,
                totalItems: count
            };">
                <th><a href="racuni/kr/{{predracun._id}}">{{ predracun.racun.broj }}</a></th>
                <td>{{ predracun.klijent.naziv }}</td>
                <td>{{ predracun.racun.datum_izdavanja }}</td>
                <td>{{ predracun.racun.ukupno_za_placanje }}</td>
                <td>{{ predracun.racun.rok_placanja }}</td>
                <td>
                    <a href="/racuni/kr/"></a>
                </td>
                <td>
                    <a class="btn btn-primary btn-sm mr-2" href="/racuni/kr/{{predracun._id}}" 
                        title="Pogledaj račun br. {{predracun.racun.broj}}">
                        <i class="fas fa-eye"></i> 
                    </a>
                </td>
                <td>
                    <a class="btn btn-primary btn-sm mr-2" href="/racuni/kr/pdf/{{predracun._id}}"
                        title="Sačuvaj kao PDF">
                        <i class="fas fa-file-pdf"></i>
                    </a>
                </td>
            </tr>
        </tbody>
    </table>
</div>

<!-- Mobile view Racuni -->
<div class="d-block d-md-none" *ngIf="tipRacuna == 'kr'">
    <div class="" *ngFor="let predracun of predracuni.predracuni | paginate : {
        itemsPerPage: tableSize,
        currentPage: page,
        totalItems: count
    };">
        <div class="row border">
            <div class="col-4 px-2">Broj računa:</div>
            <div class="col-8"><a href="/racuni/kr/{{predracun._id}}">{{ predracun.racun.broj }}</a></div>
            <div class="col-4 px-2">Klijent:</div>
            <div class="col-8">{{ predracun.klijent.naziv }}</div>
            <div class="col-4 px-2">Datum izdavanja:</div>
            <div class="col-8">{{ predracun.racun.datum_izdavanja }}</div>
            <div class="col-4 px-2">Ukupno za plaćanje:</div>
            <div class="col-8">{{ predracun.racun.ukupno_za_placanje }}</div>
            <div class="col-4 px-2">Rok za plaćanje:</div>
            <div class="col-8">{{ predracun.racun.rok_placanja }}</div>
            <div class="col-4 px-2">Izdat:</div>
            <div class="col-12 text-center pt-2">
                <div class="form-group">
                    <a class="btn btn-primary btn-sm mr-2" href="/racuni/kr/{{predracun._id}}" 
                        title="Pogledaj račun br. {{predracun.racun.broj}}">
                        <i class="fas fa-eye"></i> 
                    </a>
                    <a class="btn btn-primary btn-sm mr-2" href="/racuni/kr/pdf/{{predracun._id}}"
                        title="Sačuvaj kao PDF">
                        <i class="fas fa-file-pdf"></i>
                    </a>
                    <button class="btn btn-primary btn-sm mr-2" title="Pošalji klijentu preko emaila">
                        <i class="fas fa-paper-plane"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="d-flex justify-content-center">
    <pagination-controls previousLabel="Prev" nextLabel="Next" (pageChange)="onTableDataChange($event)">
    </pagination-controls>
</div>